<?php // $Id: news.inc,v 1.1 2010/07/30 18:49:37 vauxia Exp $

class sendNewsProfile extends sendProfile {
  public $handler = 'send_news';

  public $lists = array();
  public $mode = 'news';
  public $from_element = 'send_user';
  public $to_element = 'news_mlm';
  public $message_element = 'send_message_compose';
  public $compose_advanced = TRUE;

  public function access() {
    if (!parent::access()) return FALSE;

    // Check permissions for the generic "send any news" permission.
    if (user_access('send any news')) return TRUE;

    // Check permissions for this specific profile.
    return user_access('send '. $this->name() .' news');
  }

  public function availableLists() {
    foreach (mlm_lists('Announcement') as $list => $mlm) {
      $options[$list] = $mlm->title;
    }
    return $options;
  }

  public function lists() {
    return $this->lists;
  }

  public function setLists($lists) {
    $this->lists = $lists;
    foreach ($lists as $list) {
      $this->setRecipients($lists);
    }
  }

  function send() {
    // Rely on the main "send" functionality, but register it against limits. 
    //if (parent::send()) flood_register_event("send node");
  }
}
