<?php // $Id: news.admin.inc,v 1.1 2009/03/19 19:03:34 vauxia Exp $

/**
 * Administration form for list management.
 */
function news_admin_lists() {
  $header = array(
    array('data' => t('Name'), 'field' => 'title', 'sort' => 'asc'),
    array('data' => t('Backend'), 'field' => 'backend'),
    array('data' => t('Subscribers')),
    array('data' => t('Operations'), 'colspan' => '2')
  );
  $rows = array();

  foreach (mlm_lists('Announcement', NULL, NULL, $header, 50) as $mlm) {
    $rows[] = array(
      l($mlm->title(), $mlm->path()),
      $mlm->backend,
      array('data' => l($mlm->count(), 'mlm/'. $mlm->lid .'/subscribers'), 'align' => 'right'),
      l(t('edit'), $mlm->path() .'/edit', array('query' => 'destination='. $_GET['q'])) .' ', '');
  }

  if (!$rows) {
    $rows[] = array(array('data' => t('No lists available.'), 'colspan' => '4'));
  }

  $output = theme('table', $header, $rows);
  $output .= theme('pager', NULL, 50, 0);
  return $output;
}
